# lighttpd
#
#############################################################
-LIGHTTPD_VERSION:=1.4.15
+LIGHTTPD_VERSION:=1.4.16
LIGHTTPD_SOURCE:=lighttpd_$(LIGHTTPD_VERSION).orig.tar.gz
LIGHTTPD_PATCH:=lighttpd_$(LIGHTTPD_VERSION)-1.diff.gz
LIGHTTPD_SITE:=http://ftp.debian.org/debian/pool/main/l/lighttpd
@if [ ! -f $(TARGET_DIR)/etc/lighttpd/lighttpd.conf ] ; then \
$(INSTALL) -m 0644 -D $(LIGHTTPD_DIR)/doc/lighttpd.conf $(TARGET_DIR)/etc/lighttpd/lighttpd.conf; \
fi;
- $(INSTALL) -m 0755 -D $(LIGHTTPD_DIR)/openwrt/S51lighttpd $(TARGET_DIR)/etc/init.d/S99lighttpd
+ $(INSTALL) -m 0755 -D package/lighttpd/rc.lighttpd $(TARGET_DIR)/etc/init.d/S99lighttpd
ifeq ($(strip $(BR2_PACKAGE_LIGHTTPD_OPENSSL)),y)
lighttpd: uclibc openssl $(TARGET_DIR)/$(LIGHTTPD_TARGET_BINARY)
--- /dev/null
+#!/bin/sh
+#
+# Starts lighttpd
+#
+
+umask 077
+
+start() {
+ echo -n "Starting lighttpd: "
+ start-stop-daemon --start --quiet --make-pidfile --pidfile /var/run/lighttpd.pid -b --exec /usr/sbin/lighttpd -- -f /etc/lighttpd/lighttpd.conf -D
+ echo "OK"
+}
+stop() {
+ echo -n "Stopping lighttpd: "
+ start-stop-daemon --stop --quiet --pidfile /var/run/lighttpd.pid
+ echo "OK"
+}
+restart() {
+ stop
+ start
+}
+
+case "$1" in
+ start)
+ start
+ ;;
+ stop)
+ stop
+ ;;
+ restart|reload)
+ restart
+ ;;
+ *)
+ echo "Usage: $0 {start|stop|restart}"
+ exit 1
+esac
+
+exit $?
+